# Uses of Interface
org.eclipse.emf.cdo.server.db.mapping.ITypeMapping.Provider

Packages that use ITypeMapping.Provider
Package
Description
org.eclipse.emf.cdo.server.db.mapping
Server concepts for dealing with mapping strategies and mappings for classes, lists and types.

## Uses of ITypeMapping.Provider in org.eclipse.emf.cdo.server.db.mapping

Fields in org.eclipse.emf.cdo.server.db.mapping declared as ITypeMapping.Provider
Modifier and Type
Field
Description
`static final ITypeMapping.Provider`
ITypeMapping.Provider.`INSTANCE`
The one global (singleton) provider instance.
Methods in org.eclipse.emf.cdo.server.db.mapping that return ITypeMapping.Provider
Modifier and Type
Method
Description
`abstract ITypeMapping.Provider`
ITypeMapping.Provider.Factory.`create(String description)`
Methods in org.eclipse.emf.cdo.server.db.mapping with parameters of type ITypeMapping.Provider
Modifier and Type
Method
Description
`abstract org.eclipse.net4j.db.DBType`
ColumnTypeModifier.`modify(ITypeMapping.Provider provider, IMappingStrategy mappingStrategy, EStructuralFeature feature, org.eclipse.net4j.db.DBType dbType)`
Can modify the column type of a `type mapping` that is created by the `type mapping registry`.